### Function

# GdkPixbuf PixbufModuleSaveCallbackFunc

#### Declaration

    gboolean
    (* GdkPixbufModuleSaveCallbackFunc) (
      GdkPixbufSaveFunc save_func,
      gpointer user_data,
      GdkPixbuf* pixbuf,
      gchar** option_keys,
      gchar** option_values,
      GError** error
    )

#### Description [src]

Saves a `GdkPixbuf` by calling the provided function.

The optional `option_keys` and `option_values` arrays contain the keys and values (in the same order) for attributes to be saved alongside the image data.

This function is not directly available to language bindings

#### Parameters

`save_func` | `GdkPixbufSaveFunc`
| The function to call when saving.
`user_data` | `gpointer`
| The data to pass to `save_func`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`pixbuf` | `GdkPixbuf`
| The `GdkPixbuf` to save.
| The data is owned by the caller of the function.
`option_keys` | An array of `gchar*`
| An array of option names.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`option_values` | An array of `gchar*`
| An array of option values.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success; in case of failure, `FALSE` is returned and the `error` is set.